Show / Hide Table of Contents

# Enum UserProperties

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    [Flags]
    public enum UserProperties

### Fields

Name | Description
--- | ---
BugHunter | Flag given to users who have participated in the bug report program.
EarlySupporter | Flag given to users who subscribed to Nitro before games were added.
HypeSquadBalance | Flag given to users who are in the HypeSquad House of Balance.
HypeSquadBravery | Flag given to users who are in the HypeSquad House of Bravery.
HypeSquadBrilliance | Flag given to users who are in the HypeSquad House of Brilliance.
None | Default value for flags, when none are given to an account.
Partner | Flag given to Discord partners.
Staff | Flag given to Discord staff.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()